summaryrefslogtreecommitdiffstats
path: root/debian/wheezy/applications/tdesudo/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/wheezy/applications/tdesudo/debian/postinst')
-rw-r--r--debian/wheezy/applications/tdesudo/debian/postinst23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/wheezy/applications/tdesudo/debian/postinst b/debian/wheezy/applications/tdesudo/debian/postinst
new file mode 100644
index 000000000..9164f9d4a
--- /dev/null
+++ b/debian/wheezy/applications/tdesudo/debian/postinst
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+set -e
+
+package_name=tdesudo-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ configure)
+ dpkg-divert --package $package_name --rename --remove \
+ /usr/trinity/bin/tdesu || true
+ ;;
+ abort-upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0